# Copyright (c) 2020, SolutionERP LLC and Contributors
# MIT License. See license.txt


import xhiveframework
from xhiveframework.model.utils.rename_field import rename_field


def execute():
	"""add value to email_id column from email"""

	if xhiveframework.db.has_column("Member", "email"):
		# Get all members
		for member in xhiveframework.db.get_all("Member", pluck="name"):
			# Check if email_id already exists
			if not xhiveframework.db.get_value("Member", member, "email_id"):
				# fetch email id from the user linked field email
				email = xhiveframework.db.get_value("Member", member, "email")

				# Set the value for it
				xhiveframework.db.set_value("Member", member, "email_id", email)

	if xhiveframework.db.exists("DocType", "Membership Settings"):
		rename_field("Membership Settings", "enable_auto_invoicing", "enable_invoicing")
